Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.transport.impl
Class HttpHeaderConverter

    java.lang.Object
      org.teleal.cling.transport.impl.HttpHeaderConverter

    public class HttpHeaderConverter

extends Object

Although we only read the "first" header value for a given header name, we write all of them.

Constructor Summary
`HttpHeaderConverter()`

Method Summary
`static boolean` | `containsTextContentType(Map<UpnpHeader.Type,List<UpnpHeader>> headers)`
`static UpnpHeaders` | `convertHeaders(HttpHeaders rawHeaders)`
`static String` | `convertHeaders(UpnpHeaders headers)`
`protected static UpnpHeader` | `createUpnpHeader(UpnpHeader.Type upnpHeaderType, String headerValue)`
`static void` | `writeHeaders(UpnpHeaders upnpHeaders, HttpHeaders rawHeaders)`
`static void` | `writeHeaders(UpnpHeaders upnpHeaders, HttpURLConnection urlConnection)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HttpHeaderConverter

    public HttpHeaderConverter()

Method Detail

### convertHeaders

    public static UpnpHeaders convertHeaders(HttpHeaders rawHeaders)
                                      throws InstantiationException,
                                             IllegalAccessException,
                                             InvalidHeaderException

  Throws:
    `InstantiationException`
    `IllegalAccessException`
    `InvalidHeaderException`

### createUpnpHeader

    protected static UpnpHeader createUpnpHeader(UpnpHeader.Type upnpHeaderType,
                                                 String headerValue)
                                          throws InstantiationException,
                                                 IllegalAccessException,
                                                 InvalidHeaderException

  Throws:
    `InstantiationException`
    `IllegalAccessException`
    `InvalidHeaderException`

### writeHeaders

    public static void writeHeaders(UpnpHeaders upnpHeaders,
                                    HttpHeaders rawHeaders)

### writeHeaders

    public static void writeHeaders(UpnpHeaders upnpHeaders,
                                    HttpURLConnection urlConnection)

### containsTextContentType

    public static boolean containsTextContentType(Map<UpnpHeader.Type,List<UpnpHeader>> headers)

### convertHeaders

    public static String convertHeaders(UpnpHeaders headers)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.